package controllers

import (
	"AIOTCOER/lib"
	"AIOTCOER/models/StatisticalData"
	beego "github.com/beego/beego/v2/server/web"
)

type StatisticalDataController struct {
	beego.Controller
}

func (c *StatisticalDataController) FlowCountList() {
	PageSize, err := c.GetInt("PageSize")
	if err != nil {
		PageSize = 1
	}

	StatisticalData_r := StatisticalData.FlowCountLists(c.GetString("T_ProductID"), PageSize)

	c.Data["json"] = lib.JSONR{Code: lib.Success, Msg: "ok!", Data: StatisticalData_r}
	c.ServeJSON()
	return
}
