package routers

import (
	"AIOTCOER/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	prefix := "/Device"

	beego.Router(prefix+"/Create", &controllers.DeviceController{}, "*:Add") // 获取未读消息

	beego.Router(prefix+"/WS", &controllers.DeviceController{}, "*:WS")         // *全部；  get,post:
	beego.Router(prefix+"/SSE", &controllers.DeviceController{}, "*:SSE")       // *全部；  get,post:
	beego.Router(prefix+"/Get", &controllers.DeviceController{}, "*:Get")       // 获取未读消息
	beego.Router(prefix+"/Push", &controllers.DeviceController{}, "*:Push")     // 获取未读消息
	beego.Router(prefix+"/List", &controllers.DeviceController{}, "*:List")     // 获取未读消息
	beego.Router(prefix+"/Update", &controllers.DeviceController{}, "*:Update") // 获取未读消息

	beego.Router(prefix+"/Data", &controllers.DeviceController{}, "*:DataList") // 获取未读消息
	beego.Router(prefix+"/SSELog", &controllers.DeviceController{}, "*:SSELog") // 获取未读消息


	// 产品协议
	beego.Router(prefix+"Prot/Get", &controllers.ProductProtController{}, "*:Get") //
	beego.Router(prefix+"Prot/Update", &controllers.ProductProtController{}, "*:Update") //

}
